Go to the first, previous, next, last section, table of contents.

### admin options

Not all valid `rcs` options are useful together with CVS. Some even makes it impossible to use CVS until you undo the effect!

This description of the available options is based on the ``rcs(1)'` man page, but modified to suit readers that are more interrested in CVS than RCS.

`-Aoldfile`
  Might not work together with CVS. Append the access list of oldfile to the access list of the RCS file.
`-alogins`
  Might not work together with CVS. Append the login names appearing in the comma-separated list logins to the access list of the RCS file.
`-b[rev]`
  When used with bare RCS, this option sets the default branch to rev; in CVS sticky tags (see section Sticky tags) are a better way to decide which branch you want to work on. With CVS, this option can be used to control behavior with respect to the vendor branch.
`-cstring`
  Useful with CVS. Sets the comment leader to string. The comment leader is printed before every log message line generated by the keyword `$`Log$ (see section Keyword substitution). This is useful for programming languages without multi-line comments. RCS initially guesses the value of the comment leader from the file name extension when the file is first committed.
`-e[logins]`
  Might not work together with CVS. Erase the login names appearing in the comma-separated list logins from the access list of the RCS file. If logins is omitted, erase the entire access list.
`-I`
  Run interactively, even if the standard input is not a terminal.
`-i`
  Useless with CVS. When using bare RCS, this is used to create and initialize a new RCS file, without depositing a revision.
`-ksubst`
  Useful with CVS. Set the default keyword substitution to subst. See section Keyword substitution. Giving an explicit ``-k'` option to `cvs update`, `cvs export`, or `cvs checkout` overrides this default.
`-l[rev]`
  Lock the revision with number rev. If a branch is given, lock the latest revision on that branch. If rev is omitted, lock the latest revision on the default branch. This can be used in conjunction with the ``rcslock.pl'` script in the ``contrib'` directory of the CVS source distribution to provide reserved checkouts (where only one user can be editing a given file at a time). See the comments in that file for details (and see the ``README'` file in that directory for disclaimers about the unsupported nature of contrib). According to comments in that file, locking must set to strict (which is the default).
`-L`
  Set locking to strict. Strict locking means that the owner of an RCS file is not exempt from locking for checkin. For use with CVS, strict locking must be set; see the discussion under the ``-l'` option above.
`-mrev:msg`
  Replace the log message of revision rev with msg.
`-Nname[:[rev]]`
  Act like ``-n'`, except override any previous assignment of name.
`-nname[:[rev]]`
  Associate the symbolic name name with the branch or revision rev. It is normally better to use ``cvs tag'` or ``cvs rtag'` instead. Delete the symbolic name if both ``:'` and rev are omitted; otherwise, print an error message if name is already associated with another number. If rev is symbolic, it is expanded before association. A rev consisting of a branch number followed by a ``.'` stands for the current latest revision in the branch. A ``:'` with an empty rev stands for the current latest revision on the default branch, normally the trunk. For example, ``rcs -nname: RCS/*'` associates name with the current latest revision of all the named RCS files; this contrasts with ``rcs -nname:$ RCS/*'` which associates name with the revision numbers extracted from keyword strings in the corresponding working files.
`-orange`
  Potentially useful, but dangerous, with CVS (see below). Deletes (outdates) the revisions given by range. A range consisting of a single revision number means that revision. A range consisting of a branch number means the latest revision on that branch. A range of the form ``rev1:rev2'` means revisions rev1 to rev2 on the same branch, ``:rev'` means from the beginning of the branch containing rev up to and including rev, and ``rev:'` means from revision rev to the end of the branch containing rev. None of the outdated revisions may have branches or locks. Due to the way CVS handles branches rev cannot be specified symbolically if it is a branch. See section Magic branch numbers, for an explanation. Make sure that no-one has checked out a copy of the revision you outdate. Strange things will happen if he starts to edit it and tries to check it back in. For this reason, this option is not a good way to take back a bogus commit; commit a new revision undoing the bogus change instead (see section Merging differences between any two revisions).
`-q`
  Run quietly; do not print diagnostics.
`-sstate[:rev]`
  Useful with CVS. Set the state attribute of the revision rev to state. If rev is a branch number, assume the latest revision on that branch. If rev is omitted, assume the latest revision on the default branch. Any identifier is acceptable for state. A useful set of states is ``Exp'` (for experimental), ``Stab'` (for stable), and ``Rel'` (for released). By default, the state of a new revision is set to ``Exp'` when it is created. The state is visible in the output from cvs log (see section log--Print out log information for files), and in the ``$'`Log$ and ``$'`State$ keywords (see section Keyword substitution). Note that CVS uses the `dead` state for its own purposes; to take a file to or from the `dead` state use commands like `cvs remove` and `cvs add`, not `cvs admin -s`.
`-t[file]`
  Useful with CVS. Write descriptive text from the contents of the named file into the RCS file, deleting the existing text. The file pathname may not begin with ``-'`. If file is omitted, obtain the text from standard input, terminated by end-of-file or by a line containing ``.'` by itself. Prompt for the text if interaction is possible; see ``-I'`. The descriptive text can be seen in the output from ``cvs log'` (see section log--Print out log information for files).
`-t-string`
  Similar to ``-tfile'`. Write descriptive text from the string into the RCS file, deleting the existing text.
`-U`
  Set locking to non-strict. Non-strict locking means that the owner of a file need not lock a revision for checkin. For use with CVS, strict locking must be set; see the discussion under the ``-l'` option above.
`-u[rev]`
  See the option ``-l'` above, for a discussion of using this option with CVS. Unlock the revision with number rev. If a branch is given, unlock the latest revision on that branch. If rev is omitted, remove the latest lock held by the caller. Normally, only the locker of a revision may unlock it. Somebody else unlocking a revision breaks the lock. This causes a mail message to be sent to the original locker. The message contains a commentary solicited from the breaker. The commentary is terminated by end-of-file or by a line containing `.` by itself.
`-Vn`
  Emulate RCS version n. Use -Vn to make an RCS file acceptable to RCS version n by discarding information that would confuse version n.
`-xsuffixes`
  Useless with CVS. Use suffixes to characterize RCS files.

Go to the first, previous, next, last section, table of contents.